<template>
  <el-dialog
    :title="dialogTitle"
    :visible.sync="dialogVisible"
    width="600px"
    append-to-body
  >
    <el-table :data="familyList" border>
      <el-table-column
        label="用户手机号"
        align="center"
        prop="phone"
      />
      <el-table-column
        label="优金豆（个）"
        align="center"
        prop="num"
      />

    </el-table>
    <div slot="footer" class="dialog-footer">
      <el-button @click="cancel">关 闭</el-button>
    </div>
  </el-dialog>
</template>
<script>

export default {
  name: "editCategory",
  watch: {
  },
  data() {
    return {
      dialogTitle: "家庭成员列表",
      dialogVisible: false,
      familyList: []
    };
  },
  methods: {

    cancel() {
      this.dialogVisible = false;
    },
    show(list) {
      if (list) {
        this.familyList = list
      }
      this.dialogVisible = true;
    },
    dismiss() {
      this.dialogVisible = false;
    },

  },
};
</script>
<style scoped>
.dialog-footer {
  display: flex;
  padding-bottom: 20px;
  justify-content: flex-end;
}
</style>
